nxt.http.callers

## Class AddBundlingRuleCall

- java.lang.Object
- - nxt.http.APICall.Builder<AddBundlingRuleCall>
  - - nxt.http.callers.AddBundlingRuleCall

-     public class AddBundlingRuleCall
      extends APICall.Builder<AddBundlingRuleCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AddBundlingRuleCall` | `create(int chain)`
    `AddBundlingRuleCall` | `feeCalculatorName(java.lang.String feeCalculatorName)`
    `AddBundlingRuleCall` | `filter(java.lang.String... filter)`
    `AddBundlingRuleCall` | `minRateNQTPerFXT(long minRateNQTPerFXT)`
    `AddBundlingRuleCall` | `overpayFQTPerFXT(long overpayFQTPerFXT)`
    `AddBundlingRuleCall` | `totalFeesLimitFQT(long totalFeesLimitFQT)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static AddBundlingRuleCall create(int chain)

    - #### filter

          public AddBundlingRuleCall filter(java.lang.String... filter)

    - #### overpayFQTPerFXT

          public AddBundlingRuleCall overpayFQTPerFXT(long overpayFQTPerFXT)

    - #### totalFeesLimitFQT

          public AddBundlingRuleCall totalFeesLimitFQT(long totalFeesLimitFQT)

    - #### minRateNQTPerFXT

          public AddBundlingRuleCall minRateNQTPerFXT(long minRateNQTPerFXT)

    - #### feeCalculatorName

          public AddBundlingRuleCall feeCalculatorName(java.lang.String feeCalculatorName)